Package wx :: Package lib :: Module throbber

[frames | no frames]

## Module wx.lib.throbber

A throbber displays an animated image that can be started, stopped, reversed, etc. Useful for showing an ongoing process (like most web browsers use) or simply for adding eye-candy to an application.

Throbbers utilize a wxTimer so that normal processing can continue unencumbered.

Classes
`Throbber` | The first argument is either the name of a file that will be split into frames (a composite image) or a list of strings of image names that will be treated as individual frames.
`UpdateThrobberEvent` |

Variable Summary
`PyEventBinder` | `EVT_UPDATE_THROBBER` = `<wx._core.PyEventBinder object at ...`
`int` | `THROBBER_EVENT` = 10335

Variable Details

### EVT_UPDATE_THROBBER

  Type:
    `PyEventBinder`
  Value:

        <wx._core.PyEventBinder object at 0xb444bbcc>

### THROBBER_EVENT

  Type:
    `int`
  Value:

        10335

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:20 2007 | http://epydoc.sf.net